Subject: Re: [Simple] WGLC: XCAP Base

From: Jonathan Rosenberg <[email-masked]>
Date: Sun, 01 Aug 2004 16:38:25 -0400

Thanks for the comments. Responses inline.

Biot Olivier wrote:

> First impression is that it reads well!

Thanks!

> 
> Some nits I found so far:
> 
> General remark:
> Some lines with HTTP examples and XML schema have not been line-wrapped.
> This can probably be deferred till the very end.

OK, I will fix them all.

> 
> Page 18:
> [Question] The 2nd last paragraph of 6.3 does not contain RFC2119 language.
> Is this because RFC2616 (or to be more precise, sections 3 and 3.3 of
> RFC2396 regarding abs_path) mandates the escaping of "[", "]" and <"> in
> URIs and we don't want to duplicate requirements?

Are you referring to this paragraph:

Note that the left bracket, right bracket, and double quote
    characters, which are meaningful to XCAP, cannot be directly
    represented in the HTTP URI.  As a result, they are escape coded when
    placed within the HTTP URI.

Yes, you are right. I am merely stating a fact that is mandated in RFC 2396.

> 
> Page 21:
> Caption and caption text, on 2 separate lines.
> Both should be removed.

There is now a single line.

> 
> Pages 48--51:
> First sentence of 13.2.1 stops after one line. This introduction is missing
> entirely in the 3 other registration sections, and they also lack a blank
> line between section heading and section text.

The first sentence in 13.2.1 shouldnt be there; its a copy paste 
leftover, and was removed.

The lack of a blank line is just how xml2rfc is formatting the document. 
I played around with the options, and I think its fixed now. The trick 
was to set compact to yes, and subcompact to no.

> 
> The 4 MIME media types are registered differently,
> more precisely the "Published specification" section, where
> once "RFCXXXX" is used, then "This specification."

Fixed to all be consistent.

> 
> Page 51:
> File extension of application/xcap-caps+xml
> is the same as application/xcap-error+xml (.xe). Although files with this
> content will not be that common, I'd suggest .xer or .xml for the former and
> .xca or .xml for the latter. Maybe we can get rid of the ".xe[r]" or
> ".xc[a]" extension altogether as the documents written in those formats are
> valid XML documents.

I changed to .xer and .xca respectively.

> 
> Page 54:
> Reference [1]: "W3C FirstEdition" should read either "W3C REC" or "W3C
> Recommendation".
> 
> By the way, the current XML 1.0 specification is the 3rd edition:
> Bray, T., Paoli, J., Sperberg-McQueen, C., Maler, E. and F. Yergeau: "The
> Extensible Markup Language version 1.0 (3rd edition)". W3C recommendation,
> http://www.w3.org/TR/2004/REC-xml-20040204, February 2004.

I've updated the reference to the third edition.

> 
> Note that [4] is a W3C candidate recommendation.

Right. This should actually be an informative reference. I've moved it 
to the informative references section.

> 
> That's all I found so far.

Thanks for your comments!

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Technology Officer                    Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: [email-masked]
Date: Wed, 11 Aug 2004 14:40:52 +0300

The WGLC is now finished. The author will send a summary email detailing WGLC comments and fixes.

Thanks to everyone who participated.

Regards,
Hisham

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf
> Of ext [email-masked]
> Sent: 19.July.2004 12:20
> To: [email-masked]
> Subject: [Simple] WGLC: XCAP Base
> 
> 
> The WG chairs would like to start a Working Group Last Call 
> on the following internet draft as part of the SIMPLE Data 
> Manipulation work to be submitted to IESG:
> 
> http://www.ietf.org/internet-drafts/draft-ietf-simple-xcap-03.txt
> 
> (The draft may not be available on the above link for another 
> couple of days or so. Until it does, please fetch it from 
> http://www.softarmor.com/wgdb/docs/draft-ietf-simple-xcap-03.txt)
> 
> This WGLC is 3 weeks long and will end on August 8th.
> 
> Please send your comments to this mailing list and to the authors. 
> 
> If you reviewed the draft and found no issues, please 
> indicate so on the mailing list. This will help us evaluate 
> the level of review and group consensus.
> 
> Thanks,
> Hisham
>